//
//  TextViewCell.m
//  OpenStack
//
//  Created by Mike Mayo on 10/11/10.
//  The OpenStack project is provided under the Apache 2.0 license.
//

#import "TextViewCell.h"


@implementation TextViewCell

@synthesize textView;

- (id)initWithStyle:(UITableViewCellStyle)style reuseIdentifier:(NSString *)reuseIdentifier {
    if (self = [super initWithStyle:style reuseIdentifier:reuseIdentifier]) {
		
		self.textView = [[[UITextView alloc] init] autorelease];
        self.textView.autoresizingMask = UIViewAutoresizingFlexibleLeftMargin | UIViewAutoresizingFlexibleWidth |
        UIViewAutoresizingFlexibleBottomMargin | UIViewAutoresizingFlexibleHeight;
        
        self.contentView.autoresizingMask = UIViewAutoresizingFlexibleLeftMargin | UIViewAutoresizingFlexibleWidth |
        UIViewAutoresizingFlexibleTopMargin | UIViewAutoresizingFlexibleHeight;
        
        self.contentView.autoresizesSubviews = YES;
        self.textView.editable = NO;
		[self.contentView addSubview:self.textView];	
    }
    return self;
}


//- (void)setSelected:(BOOL)selected animated:(BOOL)animated {
//    
//    [super setSelected:selected animated:animated];
//    
//    // Configure the view for the selected state
//    if (selected) {
//        self.textView.textColor = [UIColor whiteColor];
//    } else {
//        self.textView.textColor = [UIColor blackColor];
//    }
//}


- (void)dealloc {
    [textView release];
    [super dealloc];
}

@end
